## tmatrix 1.4%2Bdfsg

=== debian/changelog ===
tmatrix (1.4+dfsg-2) unstable; urgency=medium

  * Upload to unstable

 -- Ravi Kant Sharma <contact@r4v1.net>  Fri, 26 Dec 2025 07:40:01 -0500

tmatrix (1.4+dfsg-1) experimental; urgency=medium

  * Initial release. (Closes: #1107560)

 -- Ravi Kant Sharma <contact@r4v1.net>  Mon, 09 Jun 2025 11:25:48 -0400
