=== debian/control ===
Source: tmatrix
Section: misc
Priority: optional
Maintainer: Ravi Kant Sharma <contact@r4v1.net>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 libncurses-dev,
Standards-Version: 4.7.2
Homepage: https://github.com/M4444/TMatrix
Vcs-Browser: https://salsa.debian.org/raviksharma/tmatrix
Vcs-Git: https://salsa.debian.org/raviksharma/tmatrix.git

Package: tmatrix
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: program that simulates the digital rain from The Matrix
 TMatrix is a program that simulates the digital rain from The Matrix. It's
 focused on being the most accurate replica of the digital rain effect
 achievable on a typical terminal, while also being customizable and
 performant.
