=== debian/watch ===
version=4
opts="searchmode=plain, \
    repacksuffix=+dfsg, \
    repack,compression=xz, \
    dversionmangle=s/\+dfsg//, \
    filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%, \
    downloadurlmangle=s%(api.github.com/repos/[^/]+/[^/]+)/git/refs/%$1/tarball/refs/%g," \
    https://api.github.com/repos/M4444/TMatrix/git/matching-refs/tags/ \
    https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/@ANY_VERSION@
